/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

html {
  scrollbar-width: none; /* Para navegadores basados en Firefox */
  -ms-overflow-style: none; /* Para Internet Explorer y Edge */
  scroll-behavior: initial;
}
.pin-spacer {
  transition: none !important;
}
::selection {
  color: white;
  background: #22d0ff;
}
body::-webkit-scrollbar {
  display: none !important; /* Para navegadores basados en WebKit (Chrome, Safari, etc.) */
}
.scrollbar {
  position: fixed;
  right: 0;
  bottom: 0;
  top: 0;
  z-index: 10;
  mix-blend-mode: difference;
  /* padding: 24px 0; */
}

.scrollbar .inner {
  height: 100%;
  position: relative;
}
.theme-switcher {
  width: 10px;
  display: none;
}
.scrollbar .thumb {
  min-height: 50;
  width: 30px;
  background-color: #e9e9ea;
  position: absolute;
  right: 0px;
  border-radius: 10px;
  /* border: 1px solid black; */
  cursor: grab;
  margin-right: 7px;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
a,
button,
.brxe-text-basic,
.brxe-text,
.wp-block-heading,
.wp-block-paragraph {
  /* Configuración moderna (Chrome 133+) */
  text-box-trim: trim-both;
  text-box-edge: cap alphabetic;
  /* line-height: 1; */
}
.split-line {
  line-height: 1.15em;
  /* Desactivar text-box-trim para evitar que se corten las descendentes */
  text-box-trim: none;
  text-box-edge: auto;
}
.bricks-button {
  transition: all 0.3s ease;
  gap: 10px;
  filter: brightness(1);
}
.bricks-button.bricks-background-primary:hover {
  filter: brightness(1.2);
}
.bricks-button.bricks-background-secondary:hover {
  opacity: 0.95;
}
@media (max-width: 992px) {
  :root #brx-content {
    --section-margin: 25px;
    --top-bottom-padding: 5rem;
  }
  html #brx-content .fw_image,
  html #brx-content .fw_video {
    min-height: 198px;
    max-height: 200px;
  }
}
/* main * {
  text-box-trim: trim-both;
  text-box-edge: cap alphabetic;
}
header * {
  text-box-trim: trim-both;
  text-box-edge: cap alphabetic;
}
footer * {
  text-box-trim: trim-both;
  text-box-edge: cap alphabetic;
} */
/* overlay para imagens com overlay */
.brxe-image.overlay::before {
  mix-blend-mode: color !important;
}

/* scroll lenis */
html.lenis,
html.lenis body {
  height: auto;
}

.lenis:not(.lenis-autoToggle).lenis-stopped {
  overflow: clip;
}

.lenis [data-lenis-prevent],
.lenis [data-lenis-prevent-wheel],
.lenis [data-lenis-prevent-touch] {
  overscroll-behavior: contain;
}

.lenis.lenis-smooth iframe {
  pointer-events: none;
}

.lenis.lenis-autoToggle {
  transition-property: overflow;
  transition-duration: 1ms;
  transition-behavior: allow-discrete;
}
